Subject: Re: bug#67161: 30.0.50; [PATCH] Add option `dired-filename-display-length'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Nov 2023 19:58:18 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 26 Nov 2023 12:08:04 -0500
> 
> >> If vectors of glyphs can express things we can't express in a
> >> string, then the question is what should `concat` do in that case,
> >> and if we can then ... why do we even have vectors of glyphs?
> > See above.  I don't know why display-tables store vectors and not
> > strings, but it was like that forever.
> 
> If everything we can do with vectors of glyphs can be done with strings
> (i.e. vectors of glyphs are basically accidents of history), then it
> seems it would make sense to auto-convert a vector of glyph to a string
> *and* to phase out the use of vectors of glyphs.

Yes, but who will have the energy and motivation to go over all the
places that use the display-tables (both in Lisp and in C), and
convert all of them to use strings with faces instead vectors of
glyphs?  To say nothing of the related documentation?  And then we
will probably discover that some subtle aspect of this is the real
reason why we use vectors of glyphs...